package cn.com.oa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.com.oa.model.TacheInstance;
import cn.com.oa.service.TacheInstanceService;
import cn.com.oa.mapper.TacheInstanceMapper;
import org.springframework.stereotype.Service;

/**
* @author HP
* @description 针对表【bpm_tache_instance】的数据库操作Service实现
* @createDate 2025-02-15 14:28:28
*/
@Service
public class TacheInstanceServiceImpl extends ServiceImpl<TacheInstanceMapper, TacheInstance>
    implements TacheInstanceService{

    @Override
    public Integer getTotalFlowUrgeInsCount() {
        LambdaQueryWrapper<TacheInstance> wrapper=new LambdaQueryWrapper<>();
        wrapper.eq(TacheInstance::getNState,1);
        wrapper.isNotNull(TacheInstance::getDLastUrgeTime);
        return this.count(wrapper);
    }
}




